;===============================================================================
;
; antimagic field 1.1
;
; - fix the bug where the game can freeze if a character doesn't have the
;   fight, rage or mimic command
; - doesn't change commands in fanatic's tower
; - in magitek events, all characters only have the magitek command
;
;===============================================================================

header
hirom

;===============================================================================
;
; addresses
;
;===============================================================================

org $C2539D
        continue:

;===============================================================================
;
; main code
;
;===============================================================================
org     $C25345
main:

    ;check for magitek status
        LDA $1614,Y                     ;load status (2 bytes)
        SEP #$30                        ;set A, X and Y as 8-bit
        BIT #$08                        ;check magitek status
        BEQ continue                    ;skip if not present

    ;change character commands for magitek
        LDA #$1D                        ;magitek command
        STA $FC                         ;set first command
        LDA #$FF                        ;null comand
        STA $FD                         ;set second command
        STA $FE                         ;set third command
        STA $FF                         ;set fourth command

    ;continue
        JMP continue

warnpc  $C2539C
